using System;
using EnvDTE;
using System.IO;

namespace DCLAddin
{
	/// <summary>
	///		Logs messages in the log file.
	/// </summary>
	public class LoggingManager
	{
		/// <summary>
		///		Logs the message.
		/// </summary>
		/// <param name="message">The message to log.</param>
		public static void log(string message, OutputWindowPane pane)
		{
			// check log directory
			DirectoryInfo LogDir = new DirectoryInfo(Environment.GetEnvironmentVariable("HOME") + "\\.dcladdin");
			if(!LogDir.Exists)
				LogDir.Create();
			
			// check log file
			FileInfo LogFile = new FileInfo(Environment.GetEnvironmentVariable("HOME") + "\\.dcladdin\\dcladdin.log");
			if(!LogFile.Exists)
			{
				LogFile.Create();
			}

			// write log message in pane
			pane.OutputString(message + "\n");

			// write log message in log file
			StreamWriter w = new StreamWriter(LogFile.FullName, true);
			w.Write(DateTime.Now.ToString() + ":" + message + "\n");
			w.Flush();
			w.Close();
		}
	}
}