using System;
using System.Collections;
using System.ComponentModel;
using System.Configuration.Install;
using EnvDTE;
using Microsoft.Office.Core;
using System.Runtime.InteropServices;
using System.Diagnostics;

namespace DCLAddinInstallerClassLibrary
{
	/// <summary>
	/// Zusammenfassung fr Installer.
	/// </summary>
	[RunInstaller(true)]
	public class Installer : System.Configuration.Install.Installer
	{
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Installer()
		{
			// Dieser Aufruf wird vom Designer bentigt.
			InitializeComponent();
		}

		private const string PROG_ID                     = "DCLAddin.Connect";

		private const string SHORT_COMMAND_EXEC_JOB      = "DCLAddInExecJob";
		private const string SHORT_COMMAND_SHOW_JOB_VIEW = "DCLAddInShowJobView";
		private const string SHORT_COMMAND_OPTIONS       = "DCLAddInOptions";

		public static readonly string COMMAND_EXEC_JOB      = PROG_ID + "." + SHORT_COMMAND_EXEC_JOB;
		public static readonly string COMMAND_SHOW_JOB_VIEW = PROG_ID + "." + SHORT_COMMAND_SHOW_JOB_VIEW;
		public static readonly string COMMAND_OPTIONS       = PROG_ID + "." + SHORT_COMMAND_OPTIONS;

		public override void Uninstall(IDictionary savedState)
		{
			DTE dteObject = null;
			object instance = null;
			try
			{
				Type t = Type.GetTypeFromProgID("VisualStudio.DTE.7.1");

				instance = Activator.CreateInstance(t, true);
				dteObject = (DTE)instance;

				CommandBar cb = dteObject.CommandBars["Distributed Control Lab"];

				// Delete the custom CommandBar
				Commands commands = dteObject.Commands;
				if (cb != null)
				{
					commands.RemoveCommandBar(cb);
				}
				Marshal.ReleaseComObject(cb);

				// Delete the custom Commands
				Command command = commands.Item(COMMAND_EXEC_JOB, -1);
				command.Delete();
				Marshal.ReleaseComObject(command);

				command = commands.Item(COMMAND_OPTIONS, -1);
				command.Delete();
				Marshal.ReleaseComObject(command);

				command = commands.Item(COMMAND_SHOW_JOB_VIEW, -1);
				command.Delete();
				Marshal.ReleaseComObject(command);

				dteObject.Quit();

				Marshal.ReleaseComObject(dteObject);
				Marshal.ReleaseComObject(instance);
			}
			catch (Exception ex)
			{
				Trace.WriteLine("Uninstall exception: " + ex.Message);
				if (null != dteObject)
				{
					dteObject.Quit();
				}
				Marshal.ReleaseComObject(dteObject);
				Marshal.ReleaseComObject(instance);
			}

			base.Uninstall (savedState);
		}

		/// <summary> 
		/// Verwendete Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}


		#region Vom Komponenten-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			components = new System.ComponentModel.Container();
		}
		#endregion
	}
}
