using System;
using System.IO;
using System.Windows.Forms;

namespace DCLController
{
	/// <summary>
	///		Logs messages in the log file.
	/// </summary>
	public class LoggingManager
	{
		private static int logErrorCount = 0;

		/// <summary>
		///		Logs the message.
		/// </summary>
		/// <param name="message">The message to log.</param>
		public static void log(string message, TextBox box)
		{
			// check log directory
			DirectoryInfo LogDir = new DirectoryInfo(Environment.GetEnvironmentVariable("HOME") + "\\.dcladdin");
			if(!LogDir.Exists)
				LogDir.Create();
			
			// get log file
			FileInfo LogFile = new FileInfo(Environment.GetEnvironmentVariable("HOME") + "\\.dcladdin\\dcladdin.log");

			if (box != null)
			{
				// write log message in pane
				box.Text += message + "\r\n";
				box.Select(box.Text.Length,0);
				box.ScrollToCaret();
			}

			try
			{
				// write log message in log file
				StreamWriter w = new StreamWriter(LogFile.Open(FileMode.Append, FileAccess.Write));
				//StreamWriter w = new StreamWriter(LogFile.FullName, true);
				w.Write(DateTime.Now.ToString() + ":" + message + "\r\n");
				w.Flush();
				w.Close();
			}
			catch(IOException)
			{
				if (box != null && logErrorCount < 1)
				{
					box.Text += "Could not write to log file " + LogFile.Name + "\r\n";
					box.Select(box.Text.Length,0);
					box.ScrollToCaret();

					logErrorCount++;
				}
			}
		}
	}
}