using System;

namespace DCLJobView
{
	/// <summary>
	/// A single error or a warning from a compiler output.
	/// </summary>
	public class CompilerOutputItem
	{
		public enum Type {Error, Warning};

		private Type kind;
		private string ticket;
		private string filename;
		private int line;
		private int column;
		private string message;
		private string extraMessage;

		public CompilerOutputItem(Type kind, string filename, int line, int column, string message) :
			this(kind, null, filename, line, column, message)
		{
		}

		public CompilerOutputItem(Type kind, string ticket, string filename, int line, int column, string message)
		{
			this.kind = kind;
			this.ticket = ticket;
			this.filename = filename;
			this.line = line;
			this.column = column;
			this.message = message;
		}

		public Type Kind
		{
			get { return this.kind; }
			set { this.kind = value; }
		}

		public string Ticket
		{
			get { return this.ticket; }
			set { this.ticket = value; }
		}

		public string Filename
		{
			get { return this.filename; }
			set { this.filename = value; }
		}

		public int Line
		{
			get { return this.line; }
			set { this.line = value; }
		}

		public int Column
		{
			get { return this.column; }
			set { this.column = value; }
		}

		public string Message
		{
			get { return this.message; }
			set { this.message = value; }
		}

		public string ExtraMessage
		{
			get { return this.extraMessage; }
			set { this.extraMessage = value; }
		}
	}
}
