using System;

namespace DCLJobView.Events
{
	/// <summary>
	/// An event for "Compiler Output" messages.
	/// </summary>
	public class CompilerResultEvent : ResultEvent
	{
		public CompilerResultEvent(string name, string type, string ticket, CompilerOutputItem[] compilerMessages, string fullText) : base(name, type, ticket)
		{
			this.compilerMessages = compilerMessages;
			this.fullText = fullText;
		}

		private string fullText;

		public string FullText
		{
			get { return this.fullText; }
		}

		private CompilerOutputItem[] compilerMessages;

		public CompilerOutputItem[] CompilerMessages
		{
			get { return this.compilerMessages; }
		}
	}
}
