using System;
using System.IO;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Formatters.Soap;

namespace DCLJobView
{
	/// <summary>
	///		Loads and stores serialized configuration objects in files.
	/// </summary>
	public class ConfigurationManager
	{
		/// <summary>
		///		Loads a configuration object from file.
		/// </summary>
		public static object load(FileInfo file)
		{
			try
			{
				Stream r = (Stream)File.Open(file.FullName, FileMode.Open, FileAccess.Read);
				SoapFormatter c = new SoapFormatter();

				object myObject = c.Deserialize(r);
				r.Close();
				return myObject;
			} 
			catch { return null; }
		}

		/// <summary>
		///		Stores a configuration object inot a file.
		/// </summary>
		public static bool store(object obj, FileInfo file)
		{
			try
			{
				Stream s = (Stream)File.Open(file.FullName, FileMode.Create, FileAccess.Write);
				SoapFormatter b = new SoapFormatter ();
				b.Serialize(s, obj);
				s.Close();
				return true;
			}
			catch { return false; }
		}
	}
}