using System;
using System.Windows.Forms;

using DCLJobView.Events;

namespace DCLJobView
{
	// delegate for log message synchronization
	public delegate void LogMessageCallbackHandler(string message);

	// delegate for invoking asynchronous add class in gui controls
	public delegate void AddNodeHandler(TreeNode node, TreeNodeCollection childs);

	// delegate for invoking a clear on nodes
	public delegate void ClearNodesHandler(TreeNodeCollection nodes);

	/* the following delegates are conform to the .NET Framework Developers Guide about Events
	 * http://msdn.microsoft.com/library/default.asp?url=/library/en-us/cpguide/html/cpconprovidingeventfunctionality.asp */

	// delegate for log message event
	public delegate void LogMessageEventHandler(object sender, MessageEvent e);

	// delegate for show string result event
	public delegate void StringResultEventHandler(object sender, StringResultEvent e);

	// delegate for show binary result event
	public delegate void BinaryResultEventHandler(object sender, BinaryResultEvent e);

	// delegate for show web result event
	public delegate void WebResultEventHandler(object sender, WebResultEvent e);

	// delegate for compiler output event
	public delegate void CompilerResultEventHandler(object sender, CompilerResultEvent e);

	/* Note: the fourth event SendJobClicked does not need a special event handler because it
	 * does not have any data. We use the standard System.EventHandler */
}