using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace DCLJobView
{
	/// <summary>
	/// Zusammenfassung fr Form1.
	/// </summary>
	public class ErrorPatternForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.TextBox textBoxExtraLine;
		private System.Windows.Forms.TextBox textBoxWarning;
		private System.Windows.Forms.TextBox textBoxError;
		private System.Windows.Forms.TextBox textBox1;
		private System.Windows.Forms.Button okbutton;
		private System.Windows.Forms.Button cancelbutton;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.TextBox textBoxName;
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		private CompilerErrorPattern cep;

		public ErrorPatternForm(CompilerErrorPattern cep)
		{
			InitializeComponent();

			if (cep == null)
				this.cep = new CompilerErrorPattern("","","","");
			else
			{
				this.cep = new CompilerErrorPattern(cep);

				this.textBoxName.Text = this.cep.Name;
				this.textBoxError.Text = this.cep.ErrorRegexp;
				this.textBoxWarning.Text = this.cep.WarningRegexp;
				this.textBoxExtraLine.Text = this.cep.ExtraLineRegexp;
			}
		}

		public CompilerErrorPattern ErrorPattern
		{
			get
			{
				this.cep.Name = this.textBoxName.Text;
				this.cep.ErrorRegexp = this.textBoxError.Text;
				this.cep.WarningRegexp = this.textBoxWarning.Text;
				this.cep.ExtraLineRegexp = this.textBoxExtraLine.Text;

				return this.cep;
			}
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.label5 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.textBoxExtraLine = new System.Windows.Forms.TextBox();
			this.textBoxWarning = new System.Windows.Forms.TextBox();
			this.textBoxError = new System.Windows.Forms.TextBox();
			this.textBox1 = new System.Windows.Forms.TextBox();
			this.okbutton = new System.Windows.Forms.Button();
			this.cancelbutton = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			this.textBoxName = new System.Windows.Forms.TextBox();
			this.SuspendLayout();
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(0, 304);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(64, 16);
			this.label5.TabIndex = 6;
			this.label5.Text = "Extra Line:";
			this.label5.TextAlign = System.Drawing.ContentAlignment.BottomRight;
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(14, 272);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(50, 16);
			this.label4.TabIndex = 4;
			this.label4.Text = "Warning:";
			this.label4.TextAlign = System.Drawing.ContentAlignment.BottomRight;
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(24, 240);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(40, 16);
			this.label3.TabIndex = 2;
			this.label3.Text = "Error:";
			this.label3.TextAlign = System.Drawing.ContentAlignment.BottomRight;
			// 
			// textBoxExtraLine
			// 
			this.textBoxExtraLine.Location = new System.Drawing.Point(72, 304);
			this.textBoxExtraLine.Name = "textBoxExtraLine";
			this.textBoxExtraLine.Size = new System.Drawing.Size(296, 20);
			this.textBoxExtraLine.TabIndex = 7;
			this.textBoxExtraLine.Text = "";
			// 
			// textBoxWarning
			// 
			this.textBoxWarning.Location = new System.Drawing.Point(72, 272);
			this.textBoxWarning.Name = "textBoxWarning";
			this.textBoxWarning.Size = new System.Drawing.Size(296, 20);
			this.textBoxWarning.TabIndex = 5;
			this.textBoxWarning.Text = "";
			// 
			// textBoxError
			// 
			this.textBoxError.Location = new System.Drawing.Point(72, 240);
			this.textBoxError.Name = "textBoxError";
			this.textBoxError.Size = new System.Drawing.Size(296, 20);
			this.textBoxError.TabIndex = 3;
			this.textBoxError.Text = "";
			// 
			// textBox1
			// 
			this.textBox1.Location = new System.Drawing.Point(8, 44);
			this.textBox1.Multiline = true;
			this.textBox1.Name = "textBox1";
			this.textBox1.ReadOnly = true;
			this.textBox1.Size = new System.Drawing.Size(370, 184);
			this.textBox1.TabIndex = 10;
			this.textBox1.Text = @"Regular Expression Patterns for Compile Errors

The following named partial captures are used after a successfull match.
Example: ""(?<filename>.+)""

For Error and Warning regexps:
  filename   The name of the file with the error (optional).
  line           The line number of the error.
  column     The line column of the error (optional).
  message  The description of the errror.

For the Extra Line regexp:
  extra       The extra message.";
			// 
			// okbutton
			// 
			this.okbutton.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.okbutton.Location = new System.Drawing.Point(96, 344);
			this.okbutton.Name = "okbutton";
			this.okbutton.Size = new System.Drawing.Size(88, 24);
			this.okbutton.TabIndex = 8;
			this.okbutton.Text = "OK";
			// 
			// cancelbutton
			// 
			this.cancelbutton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.cancelbutton.Location = new System.Drawing.Point(200, 344);
			this.cancelbutton.Name = "cancelbutton";
			this.cancelbutton.Size = new System.Drawing.Size(88, 24);
			this.cancelbutton.TabIndex = 9;
			this.cancelbutton.Text = "Cancel";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(24, 12);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(40, 16);
			this.label1.TabIndex = 0;
			this.label1.Text = "Name:";
			this.label1.TextAlign = System.Drawing.ContentAlignment.BottomRight;
			// 
			// textBoxName
			// 
			this.textBoxName.Location = new System.Drawing.Point(72, 12);
			this.textBoxName.Name = "textBoxName";
			this.textBoxName.Size = new System.Drawing.Size(296, 20);
			this.textBoxName.TabIndex = 1;
			this.textBoxName.Text = "";
			// 
			// ErrorPatternForm
			// 
			this.AcceptButton = this.okbutton;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.cancelbutton;
			this.ClientSize = new System.Drawing.Size(386, 378);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.textBoxName);
			this.Controls.Add(this.textBox1);
			this.Controls.Add(this.textBoxExtraLine);
			this.Controls.Add(this.textBoxWarning);
			this.Controls.Add(this.textBoxError);
			this.Controls.Add(this.cancelbutton);
			this.Controls.Add(this.okbutton);
			this.Controls.Add(this.label5);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.label3);
			this.DockPadding.All = 8;
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "ErrorPatternForm";
			this.ShowInTaskbar = false;
			this.Text = "Compiler Error Pattern";
			this.ResumeLayout(false);

		}
		#endregion
	}
}
