using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace DCLJobView
{
	/// <summary>
	/// Zusammenfassung fr InputBoxForm.
	/// </summary>
	public class InputBoxForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.TextBox inputTextBox;
		private System.Windows.Forms.Button okbutton;
		private System.Windows.Forms.Button cancelbutton;
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public static string ShowInputBox(string caption, string labeltext, string definput)
		{
			InputBoxForm ipf = new InputBoxForm(caption, labeltext, definput);

			if (ipf.ShowDialog() == DialogResult.OK)
			{
				return ipf.InputText;
			}
			else
			{
				return null;
			}
		}

		public InputBoxForm(string caption, string labeltext, string definput)
		{
			InitializeComponent();

			this.Text = caption;
			this.label1.Text = labeltext;
			this.inputTextBox.Text = definput;
		}

		public string InputText
		{
			get { return this.inputTextBox.Text; }
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.label1 = new System.Windows.Forms.Label();
			this.inputTextBox = new System.Windows.Forms.TextBox();
			this.okbutton = new System.Windows.Forms.Button();
			this.cancelbutton = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(8, 8);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(264, 16);
			this.label1.TabIndex = 0;
			this.label1.Text = "Please enter text:";
			// 
			// inputTextBox
			// 
			this.inputTextBox.Location = new System.Drawing.Point(16, 32);
			this.inputTextBox.Name = "inputTextBox";
			this.inputTextBox.Size = new System.Drawing.Size(264, 20);
			this.inputTextBox.TabIndex = 1;
			this.inputTextBox.Text = "";
			// 
			// okbutton
			// 
			this.okbutton.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.okbutton.Location = new System.Drawing.Point(64, 72);
			this.okbutton.Name = "okbutton";
			this.okbutton.TabIndex = 2;
			this.okbutton.Text = "OK";
			// 
			// cancelbutton
			// 
			this.cancelbutton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.cancelbutton.Location = new System.Drawing.Point(153, 72);
			this.cancelbutton.Name = "cancelbutton";
			this.cancelbutton.TabIndex = 3;
			this.cancelbutton.Text = "Cancel";
			// 
			// InputBoxForm
			// 
			this.AcceptButton = this.okbutton;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.cancelbutton;
			this.ClientSize = new System.Drawing.Size(296, 109);
			this.Controls.Add(this.cancelbutton);
			this.Controls.Add(this.okbutton);
			this.Controls.Add(this.inputTextBox);
			this.Controls.Add(this.label1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "InputBoxForm";
			this.Text = "Input";
			this.ResumeLayout(false);

		}
		#endregion
	}
}
