using System;
using System.Collections;
using System.Windows.Forms;

namespace DCLJobView.TreeModel
{
	/// <summary>
	/// Specifies a method to handle TicketLists and pass them down to its children.
	/// </summary>
	public abstract class JobViewTreeNode : TreeNode
	{
		/// <summary>
		/// A subclass should overwrite this method and look for its ticket in this list. If it has handled a ticket, it should remove the ticket from the list.
		/// </summary>
		public virtual void HandleTicketList(ArrayList ticketList, JobViewControl jvc)
		{
			// do nothing - subclasses must do something
		}
	}
}