using System;

namespace DCLJobView.Events
{
	/// <summary>
	///		An abstract class for result events, 
	///		including basic information, name and type.
	/// </summary>
	public abstract class ResultEvent : System.EventArgs
	{
		private string name;
		private string type;
		private string ticket;

		public ResultEvent(string name, string type, string ticket)
		{
			this.name = name;
			this.type = type;
			this.ticket = ticket;
		}

		public string Name
		{
			get { return this.name; }
		}

		public string Type
		{
			get { return this.type; }
		}

		public string Ticket
		{
			get { return this.ticket; }
		}
	}
}